/*
 * Copyright 2009 Jonathan Rubin
 * This file is part of Camus.
 *
 * Camus is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Camus is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Camus.  If not, see <http://www.gnu.org/licenses/>.
 */

package cbr.framework;

/**
 * <p>Solution to a problem.
 * Currently is just a string.</p>
 *
 */
public class Solution {
	private String solution;

	/**
	 * Create a <code>Solution</code>
	 * @param solution a <code>String</code> to describe the <code>Solution</code>
	 */
	public Solution(final String solution){
		this.solution = solution;
	}
	
	/**
	 * Describe the solution.
	 * @return the <code>String</code> describing the <code>Solution</code>. 
	 */
	@Override
	public String toString(){
		return solution;
	}
}
