/*
 * Copyright 2009 Jonathan Rubin
 * This file is part of Camus.
 *
 * Camus is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Camus is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Camus.  If not, see <http://www.gnu.org/licenses/>.
 */

package cbr.similarity;

import cbr.framework.Feature;
import cbr.framework.SimilarityMetric;

/**
 * Used for target case features that are not indexed.
 *
 */
public class NullMetric implements SimilarityMetric {

	/**
	 * Create a null metric.
	 */
	public NullMetric(){
	}
	
	/**
	 * No comparision is performed as the features are not indexed. 
	 * @param f1 a case feature
	 * @param f2 another case feature
	 * @return 0
	 */
	@Override
	public double compare(Feature f1, Feature f2) {
		return 0;
	}

}
